package it.integry.integrywmsnative.view.dialogs.choose_arts_from_lista_arts;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.core.model.MtbColr;

public class DialogChooseArtsFromListaArtsItemModel {

    private MtbColr mtbColr;
    private BindableBoolean hidden = new BindableBoolean(false);

    public MtbColr getMtbColr() {
        return mtbColr;
    }

    public DialogChooseArtsFromListaArtsItemModel setMtbColr(MtbColr mtbColr) {
        this.mtbColr = mtbColr;
        return this;
    }

    public boolean isHidden() {
        return hidden.get();
    }

    public DialogChooseArtsFromListaArtsItemModel setHidden(boolean hidden) {
        this.hidden.set(hidden);
        return this;
    }

    public BindableBoolean getHidden() {
        return hidden;
    }
}
